/*
 * Created on 05.01.2006
 *
 * Copyright --- All rights reserved.
 * ITI, Universität Karlsruhe, Germany.
 */
package de.uka.algo.GT3D;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class MyKeyListener implements KeyListener {

	StepwiseAlgorithm theDemo = null;
	
	public MyKeyListener(StepwiseAlgorithm aDemo){
		theDemo = aDemo;
	}
	
	public void keyTyped(KeyEvent e) {
		// Invoked when a key has been typed.
		if (e.getKeyChar() == '+') {
			if (!theDemo.finished())
				theDemo.nextStep();
		}
		if (e.getKeyChar() == '-') {
			if (!theDemo.atStart())
				theDemo.previousStep();
		}
		
	}

	public void keyPressed(KeyEvent e) {
		// we are not interested in keyPressed events
	}

	public void keyReleased(KeyEvent e) {
		// we are not interested in keyReleased events
	}

}
