/*
 * Created on 05.01.2006
 *
 * Copyright --- All rights reserved.
 * ITI, Universität Karlsruhe, Germany.
 */
package de.uka.algo.GT3D;

import javax.media.j3d.BranchGroup;
import javax.vecmath.Vector3d;

/**
 * 
 * 
 * 
 */
public interface Scene3DProvider {
	
	/**
	 * The scene must be centered at the origin. The return value specifies
	 * the x-, y-, and z-size of the scene (should be smaller than 100).
	 * 
	 * @return a bounding box of the 3d scene. 
	 */
	public Vector3d getStartPosition();
	
	/**
	 * 
	 * 
	 * @return The root of your scene graph.
	 */
	public BranchGroup getChild();
	


}
